Skip to main content
GET
/
payment
/
invoices
List Invoices
curl --request GET \
  --url https://api.deepinfra.com/payment/invoices \
  --header 'Authorization: Bearer <token>'
{
  "invoices": [
    {
      "id": "<string>",
      "status": "<string>",
      "total": 123,
      "amount_due": 123,
      "created": 123,
      "due_date": 123,
      "period": "<string>",
      "invoice_type": "<string>",
      "hosted_invoice_url": "<string>",
      "invoice_pdf": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:10
Required range: 1 <= x <= 50
starting_after
string | null
invoice_type
string | null

Cookies

session
String

Response

Successful Response

invoices
InvoiceListItem · object[]
required
has_more
boolean
required
next_cursor
string | null
required